Ubuntu

cdrom_id: Does not recognize reblanked DVD+RW, DVD-RW and DVD-RAM

Reported by Amatriain on 2010-05-17
144
This bug affects 33 people
Affects Status Importance Assigned to Milestone
udev (Ubuntu)
Medium
Unassigned
Lucid
Medium
Martin Pitt
Maverick
Medium
Unassigned

Bug Description

I'm running Ubuntu 10.04, a clean install, fully updated. I have an LG DVD writer, listed in Disk Utility as "Model HL-DT-ST DVD-RAM GH22NP20".

When I insert a blank DVD, it's not recognized as such. Brasero does not recognize that a blank dvd is inserted, and the "blank DVD" icon does not appear in my desktop. Disk Utility says "No Medium Detected".

If I insert a DVD with written data in the drive, it works. Problem seems to be only with blank media.

I've tried the same blank DVDs in another machine also running 10.04 but with different hardware, and they are recognized there.

A week ago I was recording DVDs in this same machine with Ubuntu 9.10 with no problem. I've made no hardware change, just a clean install of Ubuntu 10.04.

This is basically the same as https://bugs.launchpad.net/ubuntu/lucid/+source/udev/+bug/561585 only this is not solved for me.

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: linux-image-2.6.32-22-generic 2.6.32-22.33
Regression: Yes
Reproducible: Yes
ProcVersionSignature: Ubuntu 2.6.32-22.33-generic 2.6.32.11+drm33.2
Uname: Linux 2.6.32-22-generic i686
NonfreeKernelModules: nvidia
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: amatriain 2086 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'V8237'/'VIA 8237 with ALC655 at 0xd000, irq 22'
   Mixer name : 'Realtek ALC655 rev 0'
   Components : 'AC97a:414c4760'
   Controls : 48
   Simple ctrls : 29
Date: Mon May 17 21:54:18 2010
EcryptfsInUse: Yes
GvfsMonitorLog: Monitoring events. Press Ctrl+C to quit.
HibernationDevice: RESUME=UUID=27662320-c0b8-4cab-a8eb-fcf9f30ecd1a
HotplugNewDevices:

HotplugNewMounts:

InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386 (20100429)
IwConfig:
 lo no wireless extensions.

 eth0 no wireless extensions.

 pan0 no wireless extensions.
MachineType: MICRO-STAR INTERNATIONAL CO., LTD MS-7104
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-22-generic root=UUID=3faabe65-770c-49e8-890c-fc528a314442 ro quiet splash
ProcEnviron:
 LANGUAGE=en_GB:en_US:en
 LANG=es_ES.utf8
 SHELL=/bin/bash
RelatedPackageVersions: linux-firmware 1.34
RfKill:
 0: hci0: Bluetooth
  Soft blocked: no
  Hard blocked: no
SourcePackage: linux
Symptom: storage
UdevMonitorLog:
 monitor will print the received events for:
 UDEV - the event which udev sends out after rule processing
UdisksMonitorLog: Monitoring activity from the disks daemon. Press Ctrl+C to cancel.
dmi.bios.date: 08/01/2007
dmi.bios.vendor: Phoenix Technologies, LTD
dmi.bios.version: V5.1
dmi.board.name: MS-7104
dmi.board.vendor: MICRO-STAR INTERNATIONAL CO., LTD
dmi.board.version: 3.0
dmi.chassis.type: 3
dmi.modalias: dmi:bvnPhoenixTechnologies,LTD:bvrV5.1:bd08/01/2007:svnMICRO-STARINTERNATIONALCO.,LTD:pnMS-7104:pvr3.0:rvnMICRO-STARINTERNATIONALCO.,LTD:rnMS-7104:rvr3.0:cvn:ct3:cvr:
dmi.product.name: MS-7104
dmi.product.version: 3.0
dmi.sys.vendor: MICRO-STAR INTERNATIONAL CO., LTD

Amatriain (geralt) wrote :
tastyracer (steve-theoldrose) wrote :

Exactly the same for me, also with LG Optical drive model HL-DT-ST DVD-RAM GSA-H55L

Martin Pitt (pitti) wrote :

Does CD detection work with data and audio CDs?

Can you please insert a blank CD, and copy&paste the output of the following commands:

  ps aux|grep udisks.*poll
  sudo /lib/udev/cdrom_id --debug /dev/sr0

Thanks!

Changed in ubuntu:
status: New → Incomplete
tastyracer (steve-theoldrose) wrote :

Hi, thanks for looking into this. Blank CD detection seems to work fine.
I've attached output from both commands, hope it helps.

Martin Pitt (pitti) wrote :

Thanks tastyracer, but if you say "Blank CD detection seems to work fine", then (a) you do not have the problem described in this bug, and (b) what's actually wrong? :-)

tastyracer (steve-theoldrose) wrote :

????....
Bug title is "Blank DVD not recognized when inserted". That's what's "actually wrong". CD detection works fine, but DVD detection and automounting doesn't, exactly as described in bug.

rtimai (rtimai) wrote :

Had the identical error w/ HP CD-Writer+ 8200 after upgrading to Lucid. Am a relative newcomer to Linux, but I noticed two potential sources of the recent Brasero symptoms. Lucid switched from HAL (hardware abstraction layer) to DeviceKit for hardware detection. Also, Brasero seems to be a GUI for CDRecord for burning, which no longer appears to be installed in Lucid (at least in my system,) which now uses Wodim instead.

I switched to GnomeBaker, and my blank CD recognition problems disappeared.

Note that previously data CDs were recognized when inserted. The CD drive icon appeared in the Nautilus tree view with data CDs and contents were displayed. The CD drive icon, however, disappeared when a blank CD was inserted. So the problem was specifically with blank CD recognition only.

Martin Pitt (pitti) wrote :

Tastyracer,

ah, I see, sorry. I was a bit confused since the log that you attached seems to look just fine. So cdrom_id works, and the polling is active as well.

Does it work when you insert the DVD and do

  sudo udevadm trigger --verbose --sysname-match=sr0

?

Amatriain (geralt) wrote :

Hello. Sorry I haven't been able to follow on this before. Thanks for looking at this, Martin.

Right now, my optical drive is not working. Blank CDs and DVDs are not recognized, I've tried using Gnomebaker but it didn't "see" the disks either. Also, I've tried inserting data DVDs and an audio CD, and they were not mounted either. The green LED lights up for a bit, but then I can hear the drive stops spinning and the disks are not mounted.

Of course I've wondered if it's a hardware failure, so I've rebooted into Windows XP (dual boot machine). When running Windows XP, the drive works correctly, I can read data DVDs, audio CDs and burn DVDs with InfraRecorder. I made the tests in Windows with the same disks I was trying to mount under Ubuntu, so I know it's not a problem with the disks themselves.

Until a few weeks ago the drive was working correctly with Karmic, both for reading and burning.

In my original bug report I said I could mount data DVDs. Now I think I was mistaken, I had a memory of mounting DVDs but actually I last did it with Karmic. I'm 90% sure I haven't been able to mount data DVDs since installing Lucid. I'm 100% sure blank CDs and DVDs haven't ever been recognized by this machine since installing Lucid. I'm really sorry for the confusion.

Anyway, here's the output to the commands you asked.

amatriain@amatriain-desktop:~$ ps aux|grep udisks.*poll
root 2094 0.0 0.0 5176 968 ? S 19:38 0:00 udisks-daemon: polling /dev/sdg /dev/sr0 /dev/sr1 /dev/sdf /dev/sdh
1000 2749 0.0 0.0 3328 884 pts/0 S+ 19:52 0:00 grep --color=auto udisks.*poll

amatriain@amatriain-desktop:~$ sudo /lib/udev/cdrom_id --debug /dev/sr0
[sudo] password for amatriain:
main: probing: '/dev/sr0'
cd_media_compat: CDROM_DRIVE_STATUS != CDS_DISC_OK
info_scsi_cmd_err: INQUIRY failed
ID_CDROM=1
ID_CDROM_CD_R=1
ID_CDROM_CD_RW=1
ID_CDROM_DVD=1
ID_CDROM_DVD_R=1
ID_CDROM_DVD_RAM=1
ID_CDROM_MRW=1
ID_CDROM_MRW_W=1

I also tried inserting a blank DVD and running udevadm, as you suggested to Tastyracer. This is the output:

amatriain@amatriain-desktop:~$ sudo udevadm trigger --verbose --sysname-match=sr0
/sys/devices/pci0000:00/0000:00:0f.1/host3/target3:0:0/3:0:0:0/block/sr0

After running udevadm the blank DVD still did not appear in nautilus or the Desktop, and Brasero wasn't aware a blank DVD had been inserted.

Anything else I can do to give you clues to what's happening?

tastyracer (steve-theoldrose) wrote :

I just discovered that it's not CD working/DVD not working, for me it actually depends on whether the disc is re-writeable or not. Based on the disc types I had available....

Mount ok: CD-R, DVD-R, DVD+R

Will not mount: CD-RW, DVD+RW

Anyone else seeing same distinction?

Amatriain (geralt) wrote :

I've only tried with CD-R and DVD+R disks, with the results posted above (can't mount them if they are alredy burned, can't recognize them if they are blank).

I've not tried with RW media, but still it seems we are not seeing the same symptoms.

chavez (texasflyfisher) wrote :

I have the same issue with Lucid. Clean install on machine that was using Jaunty. I burned the Lucid install on that system. Afterwards, if I pop in a blank DVD-R, it does not recognize it though one time it did show up on the desktop and Brasero saw it. Normally though this does not occur, but as someone mentioned, gnomebaker will still allow one to burn an image to the blank DVD while brasero won't. However, for me after it completes, I end up with a coaster that is unreadable on any of my machines. I get Medium Errors. If I insert a DVD-R of the same brand that I had previously burned under Jaunty, it detects it and mounts it just fine.

chavez (texasflyfisher) wrote :

BTW, I am not sure this problem is specific to Ubuntu Lucid as a similar problem was reported on Fedora 13 recently. See http://bugzilla.redhat.com/show_bug.cgi?id=584357

jay (jayanth-murthy) wrote :

I see the same problem on 10.04LTS.
Blank DVD is not recognized. Haven't tried blank CD.
DVD and CD with content is recognized and mounted successfully.

jay (jayanth-murthy) wrote :

With blank DVD inserted:

sudo udevadm trigger --verbose --sysname-match=sr0
/sys/devices/pci0000:00/0000:00:1f.2/host1/target1:0:0/1:0:0:0/block/sr0

sudo /lib/udev/cdrom_id --debug /dev/sr0
main: probing: '/dev/sr0'
cd_media_compat: CDROM_DRIVE_STATUS != CDS_DISC_OK
cd_inquiry: INQUIRY: [MATSHITA][DVD/CDRW UJDA775][CB03]
cd_profiles: GET CONFIGURATION: size of features buffer 0x00cc
cd_profiles: GET CONFIGURATION: feature 'profiles', with 4 entries
feature_profiles: profile 0x10 dvd_rom
feature_profiles: profile 0x0a <ignored>
feature_profiles: profile 0x09 <ignored>
feature_profiles: profile 0x08 <ignored>
cd_profiles: GET CONFIGURATION: feature 0x0001 <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x0002 <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x0003 <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x0010 <ignored>, with 0x08 bytes
cd_profiles: GET CONFIGURATION: feature 0x001d <ignored>, with 0x00 bytes
cd_profiles: GET CONFIGURATION: feature 0x001e <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x001f <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x0021 <ignored>, with 0x08 bytes
cd_profiles: GET CONFIGURATION: feature 0x0023 <ignored>, with 0x00 bytes
cd_profiles: GET CONFIGURATION: feature 0x0024 <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x0026 <ignored>, with 0x00 bytes
cd_profiles: GET CONFIGURATION: feature 0x0027 <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x002a <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x002b <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x002d <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x002e <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x0037 <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x003b <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x0100 <ignored>, with 0x00 bytes
cd_profiles: GET CONFIGURATION: feature 0x0103 <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x0105 <ignored>, with 0x00 bytes
cd_profiles: GET CONFIGURATION: feature 0x0106 <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x0107 <ignored>, with 0x04 bytes
cd_profiles: no current profile, assuming no media
ID_CDROM=1
ID_CDROM_CD_R=1
ID_CDROM_CD_RW=1
ID_CDROM_DVD=1
ID_CDROM_MRW=1
ID_CDROM_MRW_W=1

jay (jayanth-murthy) wrote :

Martin, Thanks for helping with this.
Do you think this is a bug or bad DVD drive or bad DVD brand?
I have burnt DVD on Karmic before using the same DVD drive and same DVD brand.

Andrej Mernik (r33d3m33r) wrote :

I'm using Kubuntu 10.04 amd64 with kernel 2.6.32-22-generic, and I can't mount anything. No DVD's, no CD's, not even blank ones. Here are some interesting lines in my log:

[14326.695755] ata5.00: status: { DRDY ERR }
[14326.695890] sr0: CDROM (ioctl) error, command: Read TOC/PMA/ATIP 43 02 00 00 00 00 01 00 0c 00
[14326.695910] sr: Sense Key : Aborted Command [current] [descriptor]
[14326.695920] sr: Add. Sense: Recorded entity not found
[14326.696595] ata5.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x0
[14326.696603] sr 4:0:0:0: CDB: Read TOC/PMA/ATIP: 43 02 00 00 00 00 01 00 0c 00
[14326.696632] ata5.00: cmd a0/00:00:00:0c:00/00:00:00:00:00/a0 tag 0 pio 16396 in
[14326.696635] res 51/50:03:00:0c:00/00:00:00:00:00/a0 Emask 0x1 (device error)

The log is full of this DRDY errors and it slows down my system, DVD drive is completely unusable.

Changed in ubuntu:
status: Incomplete → Confirmed
tags: added: amd64
Martin Pitt (pitti) wrote :

R33D3M33R, you have a different problem. Please open a new report with "ubuntu-bug linux". Thanks!

Martin Pitt (pitti) wrote :

R33D3M33R, after I read the other followups here, it could actually be a duplicate, sorry. Amatriain, tastyracer, do you get a similar output in "dmesg" after trying a few CD operations?

> cd_media_compat: CDROM_DRIVE_STATUS != CDS_DISC_OK
> info_scsi_cmd_err: INQUIRY failed

This seems to be a kernel problem, reassigning then.

affects: ubuntu → linux (Ubuntu)
summary: - Blank DVD not recognized when inserted
+ Blank DVD not recognized when inserte
summary: - Blank DVD not recognized when inserte
+ HL-DT-ST DVD-RAM GH22NP20: Does not recognize any CD

After three reboots I was finally able to mount a DVD and the command:

sudo /lib/udev/cdrom_id --debug /dev/sr0

worked now (output in attachment). But before the reboots the mount and the debug command didn't work at all.

R33D3M33R [2010-06-02 14:02 -0000]:
> sudo /lib/udev/cdrom_id --debug /dev/sr0
>
> worked now (output in attachment).

This didn't include the debug parts, though. Also, it still shows that
it didn't detect any medium.

Sorry, i just redirected the output and didn't see what it wrote. Here is the full log, with medium mounted.

Amatriain (geralt) wrote :

I've made some further testing, without much progress.

I've rebooted with an ubuntu 9.10 liveCD. While running 9.10, I was able to mount CDs in my CD drive (I have two optical drives, a CD writer and a DVD writer, none is working under Lucid). I've not been able to test the DVD drive while running 9.10, because the liveCD was in the DVD drive and I couldn't unmount it.

I've realized that if I reboot the machine and immediately after reboot I insert a data DVD or a blank DVD, it works as expected (data DVD is mounted, blank DVD is recognized, appears in Desktop and in Brasero). I attach the results of running

sudo /lib/udev/cdrom_id --debug /dev/sr0

while a blank DVD is inserted and recognized.

Amatriain (geralt) wrote :

(continues previous post)

However, if I wait a little time (about a couple minutes) after reboot, with the blank DVD inserted and recognized, the DVD "disappears"; it no longer appears in Deskop or in Brasero. To be absolutely clear, this happens without me doing anything:

- reboot computer
- insert blank DVD immediately.
- blank DVD is recognized
- wait a couple minutes without doing anything
- blank DVD disappears from desktop and from Brasero

At this point, I'm unable to mount data DVDs or CDs, and the system does not recognize when I insert a bland DVD, no matter what I do.

I attach the result of running "sudo /lib/udev/cdrom_id --debug /dev/sr0" at this point, with the optical drives not working.

Amatriain (geralt) wrote :

Also, to answer Martin, I don't see in dmesg any messages about CDROM at any moment. Should I attach my dmesg?

Amatriain [2010-06-02 17:47 -0000]:
> Also, to answer Martin, I don't see in dmesg any messages about CDROM at
> any moment. Should I attach my dmesg?

Sure, can't hurt for the kernel guys.

Thanks!

Please test the most current round of updates and let me know the results of you testing. Additionally, please test the mainline build https://wiki.ubuntu.com/KernelTeam/MainlineBuilds to see if this behavior is the same in the latest upstream kernel.

Thanks!

~JFo

tags: added: kernel-needs-review kernel-uncat
Andy Whitcroft (apw) on 2010-06-04
tags: added: kernel-core
removed: kernel-uncat
Andrej Mernik (r33d3m33r) wrote :

After most recent kernel updates in the repositories, my problem seems to be gone. I tried to mount and use a music CD and data DVD -> it worked without problems. The DRDY error is also gone from the dmesg output. I will report back if the trouble appears again.

tastyracer (steve-theoldrose) wrote :

Still not working for blank DVD-RW for me, everything else ok. I'm using the standard kernel release 2.6.32-22 but according to possibly related bug #562092 newer PPA kernels could be ok.

Amatriain (geralt) wrote :

I've updated to kernel 2.6.32-22-generic and I'm experiencing the same problems: after a reboot I'm able to mount DVDs and CDs and burn DVDs for a few minutes, then they stop working until the next reboot.

I've looked at the instructions to test a mainline kernel build:

https://wiki.ubuntu.com/KernelTeam/MainlineBuilds

but I'm a bit confused. Those instructions say I should install an *image*.deb file. However, when I look at

http://kernel.ubuntu.com/~kernel-ppa/mainline/daily/current/

There is no *image*.deb file, only *headers*.deb and *sources*.deb files. I'm not sure if I should simply install them, in what order, or what. Also, there's some mention in the wiki that those kernels probably won't work if I use restricted drivers; I use Nvidia propietary drivers, should I try that kernel anyway?

Chase Douglas (chasedouglas) wrote :

Amatriain,

We do have a bug in our daily build kernels that will hopefully be fixed within a day or two. In the meantime, please try the kernel at http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.35-rc1-lucid/.

Thanks

tags: added: kernel-candidate kernel-reviewed
removed: kernel-needs-review
Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
tags: removed: kernel-candidate
Andrej Mernik (r33d3m33r) wrote :

My feedback again: it worked for like a week or two, but now it is broken even more than before, this time I get this bug: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/501950

Martin Smat (msmat) wrote :

Using kernel 2.6.32-23 and blank CD are not recognized by my CD writer.

sudo /lib/udev/cdrom_id --debug /dev/sr1
[sudo] password for msmat:
main: probing: '/dev/sr1'
cd_inquiry: INQUIRY: [TEAC ][CD-W54E ][1.1B]
info_scsi_cmd_err: GET CONFIGURATION failed with SK=5h/ASC=20h/ACQ=00h
ID_CDROM=1
ID_CDROM_CD_R=1
ID_CDROM_CD_RW=1
ID_CDROM_MEDIA=1

When I burn the disc in another burner then it is recognized.

jonie (jonie) wrote :
Download full text (4.1 KiB)

I see similar problems as tastyracer in Lucid with HL-DT-ST DVD-RAM GSA-H10N.

I can't mount blank DVD+RW (but DVD-RW is fine). Of course command line utils like growisofs or dvd+rw-format do work. I can see my cairo-dock flashing dvd drive is mounted/umounted as if it was being notified by dbus.

The drive worked fine in previous versions of Ubuntu.

sudo /lib/udev/cdrom_id --debug /dev/sr0
main: probing: '/dev/sr0'
cd_inquiry: INQUIRY: [HL-DT-ST][DVDRAM GSA-H10N ][JL12]
cd_profiles: GET CONFIGURATION: size of features buffer 0x0160
cd_profiles: GET CONFIGURATION: feature 'profiles', with 14 entries
feature_profiles: profile 0x12 dvd_ram
feature_profiles: profile 0x11 <ignored>
feature_profiles: profile 0x15 <ignored>
feature_profiles: profile 0x16 <ignored>
feature_profiles: profile 0x14 dvd_rw
feature_profiles: profile 0x13 dvd_rw
feature_profiles: profile 0x1a dvd_plus_rw
feature_profiles: profile 0x1b dvd_plus_r
feature_profiles: profile 0x2b dvd_plus_r_dl
feature_profiles: profile 0x10 dvd_rom
feature_profiles: profile 0x09 <ignored>
feature_profiles: profile 0x0a <ignored>
feature_profiles: profile 0x08 <ignored>
feature_profiles: profile 0x02 <ignored>
cd_profiles: GET CONFIGURATION: feature 0x0001 <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x0002 <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x0003 <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x0004 <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x0010 <ignored>, with 0x08 bytes
cd_profiles: GET CONFIGURATION: feature 0x001d <ignored>, with 0x00 bytes
cd_profiles: GET CONFIGURATION: feature 0x001e <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x001f <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x0020 <ignored>, with 0x0c bytes
cd_profiles: GET CONFIGURATION: feature 0x0021 <ignored>, with 0x08 bytes
cd_profiles: GET CONFIGURATION: feature 0x0023 <ignored>, with 0x00 bytes
cd_profiles: GET CONFIGURATION: feature 0x0024 <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x0026 <ignored>, with 0x00 bytes
cd_profiles: GET CONFIGURATION: feature 0x002a <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x002b <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x002c <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x002d <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x002e <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x002f <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x0033 <ignored>, with 0x08 bytes
cd_profiles: GET CONFIGURATION: feature 0x0037 <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x003b <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x0100 <ignored>, with 0x00 bytes
cd_profiles: GET CONFIGURATION: feature 0x0101 <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x0103 <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x0104 <ignored>, with 0x00 bytes
cd_profiles: GET CONFIGURATION: feature 0x0105 <ignored>, with 0x00 bytes
cd_profiles: GET CONFIG...

Read more...

jonie (jonie) wrote :

And dmesg output:

dmesg | tail
[ 759.530413] Info fld=0x0
[ 759.530419] sr 6:0:0:0: [sr0] Add. Sense: Logical block address out of range
[ 759.530434] sr 6:0:0:0: [sr0] CDB: Read(10): 28 00 00 00 00 00 00 00 01 00
[ 759.530478] end_request: I/O error, dev sr0, sector 0
[ 759.533476] sr 6:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
[ 759.533484] sr 6:0:0:0: [sr0] Sense Key : Illegal Request [current]
[ 759.533492] Info fld=0x0
[ 759.533496] sr 6:0:0:0: [sr0] Add. Sense: Logical block address out of range
[ 759.533505] sr 6:0:0:0: [sr0] CDB: Read(10): 28 00 00 00 00 00 00 00 01 00
[ 759.533520] end_request: I/O error, dev sr0, sector 0

jonie (jonie) wrote :

Same problems with 2.6.35-rc1, -RW is ok, +RW is not recognized.

jonie (jonie) wrote :

Unlike tastyracer I can mount empty CD-RW. DVD+RW also produces another error: when dvd-video on +rw disc is inserted Totem crashes telling about insufficient permissions but I can play the content using vlc or in totem by double clicking a vob file.

tastyracer (steve-theoldrose) wrote :

Aha....I too now can mount blank CD-RW, must have snuck without me noticing, thanks jonie.
Still no luck with blank DVD+RW though - now up to 2.6.32-23.

jonie (jonie) wrote :

The problem lies definitely in cdrom_id – it cannot tell a blank dvd+rw from a complete dvd+rw, it shows the media having TOC and a data session.
The function cd_media_info in cdrom_id should provide additional check if cd_media_dvd_plus_rw is set and get cd_media_state in a different way I guess.
Problem persists with upstream version 158, there is merely some code cleaup in the function in question.
I tested different media brands, checked the issue on another computer with Matshita UJ-841S, the bug is still present.
The scsi errors in kernel are normal, system tries to mount "complete" dvd+rw as reported by udev and fails, thus this is no kernel problem.
I wonder if we should refile this bug against udev with a more specific description that relates just to dvd+rw

jonie (jonie) wrote :

scsi commands run by cdrom_id return identical values for blank and complete dvd+rw, except for media profile (this might be just garbage)

Martin Pitt (pitti) on 2010-08-08
affects: linux (Ubuntu) → udev (Ubuntu)
summary: - HL-DT-ST DVD-RAM GH22NP20: Does not recognize any CD
+ Does not recognize blank rewritable DVDs
summary: - Does not recognize blank rewritable DVDs
+ cdrom_id: Does not recognize blank rewritable DVDs
Martin Pitt (pitti) on 2010-08-08
Changed in udev (Ubuntu):
status: Incomplete → New
Martin Pitt (pitti) on 2010-08-08
summary: - cdrom_id: Does not recognize blank rewritable DVDs
+ cdrom_id: Does not recognize reblanked rewritable DVDs
Changed in udev (Ubuntu):
status: New → In Progress
assignee: nobody → Martin Pitt (pitti)
Martin Pitt (pitti) on 2010-08-08
summary: - cdrom_id: Does not recognize reblanked rewritable DVDs
+ cdrom_id: Does not recognize reblanked DVD+RW
summary: - cdrom_id: Does not recognize reblanked DVD+RW
+ cdrom_id: Does not recognize reblanked DVD+RW and DVD-RAM
Martin Pitt (pitti) on 2010-08-08
Changed in udev (Ubuntu):
assignee: Martin Pitt (pitti) → nobody
status: In Progress → Fix Committed
24 comments hidden view all 104 comments

Yes, of course, in this sense blank DVD-RW Restricted Overwrite is non-finalized, too. But multi-track aka multi-border DVD is something beyond specs, AFAIK there is always a single track.
These statuses reported by the drive are valid, this is rather a dirty (although working) patch, but they could not be interpreted in the same way as they are in case of the cd, and moreover, they don't provide sufficient information.
Although it's working now, I'd rather pass to GNOME (and make it understand) some kind of abstract information like 0 - "blank/writable/appendable", 1 - "complete rewritable", 2 - "complete read only", 3 - "unformatted/media not ready" along with the original status. This is just an idea, but it would look more clean and logical than twiddling with the status reported by the drive.

jonie (jonie) on 2010-08-10
summary: - cdrom_id: Does not recognize reblanked DVD+RW and DVD-RAM
+ cdrom_id: Does not recognize reblanked DVD+RW, DVD-RW and DVD-RAM
jonie (jonie) wrote :

Also thanks!

I hope this includes all scenarios, what about printing the original status for debugging information, just to eat a cake and still have a cake?

info(udev, "hardware disk status: %s\n", media_status[header[2] & 3]);

jonie [2010-08-11 13:41 -0000]:
> I hope this includes all scenarios, what about printing the original
> status for debugging information

Sure, committed to trunk. Thanks!

Martin
--
Martin Pitt | http://www.piware.de
Ubuntu Developer (www.ubuntu.com) | Debian Developer (www.debian.org)

jonie (jonie) wrote :

Yet another fix:
no next session for "appendable" DVD-RW 13h, this fixes the aforementioned iso burning bug:

- if ((header[2] & 3) < 2)
+ if ((header[2] & 3) < 2 && !cd_media_dvd_rw_ro)
  cd_media_session_next = header[10] << 8 | header[5];

Martin Pitt (pitti) wrote :

Just to be sure, by "aforementioned burning bug", do you mean the second paragraph in comment 62, right? That was supposed to be fixed in http://git.kernel.org/?p=linux/hotplug/udev.git;a=commitdiff;h=cf2205a1986222fdc0238190f5742f54d943cd23 , so that it reports the correct state "blank".

So brasero chokes if the status is blank, but there is a ID_CDROM_MEDIA_SESSION_NEXT property?

jonie (jonie) wrote :

You're right. I meant comment #62 - the disc was recognized and it was possible to burn a data compilation, but Brasero choked when burning an iso image. I thought initially that it is a problem with Brasero, but after patching ID_CDROM_MEDIA_SESSION_NEXT it works well in both modes.

The fix you mention was to recognize formatted Restricted Overwrite and only this mode (status 1 - appendable, to distinguish it from truly appendable Sequential) as blank.. Still the original status (less than 2) was passed to the point where next session is set and it apparently confused Brasero when doing iso. It's enough to say !cd_media_dvd_rw_ro here to exclude "appendable" status , because for cd_media_dvd_rw_ro the status 0 - blank is never reported by the drive.

jonie (jonie) wrote :

There are two elements that need to be put together as I figured it out:

- are there any usable data we want to preserve, if not set the status to blank
- can we append a session - for rewritable DVD we can't with two exceptions: a virgin DVD+RW (that is reported "blank" by the drive) and DVD-RW in sequential mode which basically works like CD-RW and needs no patch to work

I think that's it from me, the DVD-RW so called "Restricted Overwrite" was tested to the least extent as I had such discs in sequential mode and they worked out of the box. Now let's wait for the feedback.

Martin Pitt (pitti) wrote :

Thanks jonie, pushed upstream in commit b367a1c9d8a0f565effcdb45f86a365be1c8b622.

Martin Pitt (pitti) wrote :

Eventually we should backport this to lucid, but let's give it some time to bake in Maverick first (see bug 620977).

Changed in udev (Ubuntu Lucid):
assignee: nobody → Martin Pitt (pitti)
importance: Undecided → Medium
status: New → Triaged
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package udev - 161+git20100820-1

---------------
udev (161+git20100820-1) maverick; urgency=low

  * New upstream release 161, plus fixes from git head: (LP: #620977)
    - udevadm trigger now defaults to change instead of add.
    - modem modeswitch removed, use usb_modeswitch instead (see LP #521578)
    - NAME= now ignored
    - udevd creates device nodes itself on startup based on modules.udevname
    - default device permission is 0600
    - lots of bug fixes
    - updated keymaps (LP: #271706, #554066, #569815, #592371)
    - update udev(7) to point out naming of rules files (LP: #616108)
    - cdrom_id: fix media state detection of DVD-RW/DVD+RWs (LP: #581925)
    - cdrom_id: fix media state detection on older hardware (LP: #502143)
  * debian/libudev0.symbols: Add new symbols from upstream version.
  * debian/udev.initramfs-hook: Drop 64-device-mapper.rules, it was removed
    upstream.
  * debian/control: Drop obsolete (pre-lucid) Breaks and Conflicts.
  * debian/rules: Replace obsolete dh_clean -k with dh_prep.
  * debian/control: Slightly more generously version libselinux1-dev build
    dependency (thanks lintian).
  * debian/control: Replace obsolete ${Source-Version} with ${binary:Version}.
  * debian/control: Update Standards-Version to 3.9.1.
  * debian/control: Add Homepage field.
 -- Martin Pitt <email address hidden> Sat, 21 Aug 2010 10:07:44 +0200

Changed in udev (Ubuntu Maverick):
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

jonie,

there is a regression report at

  http://bugs.archlinux.org/task/20550?string=udev&project=1&type[0]=&sev[0]=&pri[0]=&due[0]=&reported[0]=&cat[0]=&status[0]=open&percent[0]=&opened=&dev=&closed=&duedatefrom=&duedateto=&changedfrom=&changedto=&openedfrom=&openedto=&closedfrom=&closedto=

and http://www.spinics.net/lists/hotplug/msg04145.html . Unfortunately the 161-1 log file was done without a medium in the drive, I'll ask for a proper log.

But while I looked through the code, I noticed a flaw in your "DVD-RW ro/seq" patch (http://git.kernel.org/?p=linux/hotplug/udev.git;a=commitdiff;h=cf2205a1986222fdc0238190f5742f54d943cd23): It inserts the ro/seq differentiation into
feature_profiles(), but this should just detect the drive capabilities, not the medium state. With a DVD-ROM I get

feature_profiles: profile 0x13 media_dvd_rw
feature_profiles: profile 0x14 dvd_rw
[...]
cd_profiles: profile 0x10 media_dvd_ro
[...]
ID_CDROM_MEDIA=1
ID_CDROM_MEDIA_DVD=1
ID_CDROM_MEDIA_DVD_RW=1

I fixed that in http://git.kernel.org/?p=linux/hotplug/udev.git;a=commitdiff;h=2458db3edd8d66827b34978ff471dff8f879e9ab , but I suppose this is not the complete fix for that bug yet. I'll ask for a full log on the ML and keep you posted here.

jonie (jonie) wrote :

Martin,

the regressions snug in someway

- the patch to tell dwd-rw in sequential mode from restricted overwrite mode posted in comment #63 is correct and is exactly the same as your proposed fix, but I can take the blame for not having revised the committed code thoroughly

- I don't know, where the number 17 in ioctl that reads first 32 blocks comes from, I assume that it's the least sufficient portion to read but I guess that reading a portion of data that is not power of two may give unpredictable results

- the committed variable renaming scheme in this part of code is somewhat confusing (though, of course has no impact on operation) - the "block" is really the offset and the "offset" is the byte currently being examined

The flaws that may cause incorrect detection of DVD media never got into my ppa code - I didn't sync it with git and I had no issues, but I admit, I should have done this

jonie (jonie) wrote :

Now it seems clear to me that if you request 17 blocks, many if not most of firmwares will check only the MSB and make it 16 blocks, what means that just sector 0 will be checked, which is non-empty solely in case of rewritable DVD formatted to a filesystem such as fat32/ext2, all ISO and UDF discs have it blank and the most important sector will be missed. And the problem with incorrect cd_media variable settings causes all disks to be checked, checked (depending on the firmware used) in wrong way.

The number of blocks in the read operation is rather a sensitive value, with my LG drive I observed that if you overwrite its cache in one ioctl it is gone from BIOS devices until next cold start.

Martin Pitt (pitti) wrote :

jonie [2010-08-30 14:31 -0000]:
> - the patch to tell dwd-rw in sequential mode from restricted overwrite
> mode posted in comment #63 is correct and is exactly the same as your
> proposed fix, but I can take the blame for not having revised the
> committed code thoroughly

Then it was probably me when I applied the fix to trunk. Anyway, I
mainly wrote this to keep you posted, in case you find a similar
regression yourself. I'll fix it in Maverick ASAP (i. e. after beta
freeze).

Thanks! Martin

jonie (jonie) wrote :

I think there's nothing to worry, just to be exact the commit

http://git.kernel.org/?p=linux/hotplug/udev.git;a=commitdiff;h=1ef6c9e9f0f405d1fed403c13c57a233a484bed7

is wrong in that it should be 32 where there is 17 (I didn't notice that you changed it)

Thanks for your report

jonie

Martin Pitt (pitti) wrote :

jonie [2010-08-30 16:28 -0000]:
> Now it seems clear to me that if you request 17 blocks, many if not most
> of firmwares will check only the MSB and make it 16 blocks

Ah, I didn't consider this, thanks for pointing out! Seems my CD drive
is unhelpfully correct then :)

Committed to trunk.

Thanks, Martin

--
Martin Pitt | http://www.piware.de
Ubuntu Developer (www.ubuntu.com) | Debian Developer (www.debian.org)

jonie (jonie) wrote :

Martin,

It looks like Arch is using hald simultaneously with udev. I tested the "flawed" build from Arch in Ubuntu on three different drives and see no issues. Although 17 sectors is very unusual, it mostly works. Couldn't be that a race condition with hald, that is deprecated in Ubuntu since Karmic. If I have time I'll try to install Arch and test.

see this thread:

https://bbs.archlinux.org/viewtopic.php?id=103373

It seems unlikely to me though, because then the read command should bomb with SK=0xb (aborted command) and the program would bail out with -1 status.

jonie (jonie) wrote :

Caught red-handed! The issue occurs if the media is appendable (status 1): because of the improperly applied DVD-RW media variable (in features instead of profiles) , everything is DVD-RW restricted overwrite just if the device is DVD recorder and if the disk is appendable (CD-R, CD-RW or DVD-RW in sequential mode) is going to be reset to blank as DVD-RW in restricted mode.

The commit

http://git.kernel.org/?p=linux/hotplug/udev.git;a=commitdiff;h=2458db3edd8d66827b34978ff471dff8f879e9ab

fixes the issue.

So our assumption was wrong: the first fix made it. And that's it.

BTW, we can easily add BD-RE to the mix - in t10 documentation you can find that it's the same as DVD+RW as far as status is concerned (0 -new, 2 -formatted so we need to read the media), it formats in the background like DVD+RW, just adds spare area as in DVD-RAM. But I have no hardware to test.

Martin Pitt (pitti) wrote :

For people who are affected by this and are using 10.04: Can you please add my "sru-test" PPA at

  https://launchpad.net/~pitti/+archive/sru-test

and upgrade to the udev there? This should fix the issue. Can you please give me the output of "sudo /lib/udev/cdrom_id --debug /dev/sr0" again, together with a description of the media type you inserted? (even if it works, to confirm that everything looks like it should)

Thanks!

Dmitriy Kodanev (dkodanev) wrote :
Download full text (8.5 KiB)

Excuse me for my English, Martin. I'll tell you what I've done.
I use Ubuntu Lucid. I've updated udev, libudev0 and libgudev-1.0-0
packages from your ppa.
Then I've inserted DVD+RW with an information recorded on it.
Then I typed in terminal the command 'sudo /lib/udev/cdrom_id --debug
/dev/sr0' and there is what I've got.

d@d-l:~$ sudo /lib/udev/cdrom_id --debug /dev/sr0
main: probing: '/dev/sr0'
cd_inquiry: INQUIRY: [HL-DT-ST][DVDRAM GSA-T20N ][WP03]
cd_profiles: GET CONFIGURATION: size of features buffer 0x0160
cd_profiles: GET CONFIGURATION: feature 'profiles', with 14 entries
feature_profiles: profile 0x12 dvd_ram
feature_profiles: profile 0x11 <ignored>
feature_profiles: profile 0x15 <ignored>
feature_profiles: profile 0x16 <ignored>
feature_profiles: profile 0x14 dvd_rw
feature_profiles: profile 0x13 dvd_rw
feature_profiles: profile 0x1a dvd_plus_rw
feature_profiles: profile 0x1b dvd_plus_r
feature_profiles: profile 0x2b dvd_plus_r_dl
feature_profiles: profile 0x10 dvd_rom
feature_profiles: profile 0x09 cd_r
feature_profiles: profile 0x0a cd_rw
feature_profiles: profile 0x08 cd_rom
feature_profiles: profile 0x02 <ignored>
cd_profiles: GET CONFIGURATION: feature 0x0001 <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x0002 <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x0003 <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x0004 <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x0010 <ignored>, with 0x08 bytes
cd_profiles: GET CONFIGURATION: feature 0x001d <ignored>, with 0x00 bytes
cd_profiles: GET CONFIGURATION: feature 0x001e <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x001f <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x0020 <ignored>, with 0x0c bytes
cd_profiles: GET CONFIGURATION: feature 0x0021 <ignored>, with 0x08 bytes
cd_profiles: GET CONFIGURATION: feature 0x0023 <ignored>, with 0x00 bytes
cd_profiles: GET CONFIGURATION: feature 0x0024 <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x0026 <ignored>, with 0x00 bytes
cd_profiles: GET CONFIGURATION: feature 0x002a <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x002b <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x002c <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x002d <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x002e <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x002f <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x0033 <ignored>, with 0x08 bytes
cd_profiles: GET CONFIGURATION: feature 0x0037 <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x003b <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x0100 <ignored>, with 0x00 bytes
cd_profiles: GET CONFIGURATION: feature 0x0101 <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x0103 <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x0104 <ignored>, with 0x00 bytes
cd_profiles: GET CONFIGURATION: feature 0x0105 <ignored>, with 0x00 bytes
cd_profiles: GET CONFIGURATION: feature 0x0106 <i...

Read more...

Martin Pitt (pitti) wrote :

Hello timroll,

timroll [2010-10-07 17:56 -0000]:
> d@d-l:~$ sudo /lib/udev/cdrom_id --debug /dev/sr0
> [...]
> cd_profiles: profile 0x1a media_dvd_plus_rw
> cd_media_toc: READ TOC: len: 20, start track: 1, end track: 1
> cd_media_toc: track=1 info=0x4(data) start_block=0
> cd_media_toc: last track 1 starts at block 0
> cd_media_info: disk type 00
> cd_media_info: hardware reported media status: complete
> cd_media_info: data in blocks 0 or 16, assuming complete

This looks good so far, but was that really everything? There should
have been a lot of ID_CDROM_...=... lines.

> Well, I can say: great job, Martin! Your fix seems to work like a charm -
> at least for me, as I have tested.

очень хорошо!

Martin
--
Martin Pitt | http://www.piware.de
Ubuntu Developer (www.ubuntu.com) | Debian Developer (www.debian.org)

Dmitriy Kodanev (dkodanev) wrote :
Download full text (3.8 KiB)

Martin Pitt <email address hidden> писал(а) в своём письме Fri, 08 Oct
2010 10:21:28 +0400:

> This looks good so far, but was that really everything? There should
> have been a lot of ID_CDROM_...=... lines.

I suppose you wish to see this, don't you?

d@d-l:~$ sudo /lib/udev/cdrom_id --debug /dev/sr0
[sudo] password for d:
main: probing: '/dev/sr0'
cd_media_compat: CDROM_DRIVE_STATUS != CDS_DISC_OK
cd_inquiry: INQUIRY: [HL-DT-ST][DVDRAM GSA-T20N ][WP03]
cd_profiles: GET CONFIGURATION: size of features buffer 0x0158
cd_profiles: GET CONFIGURATION: feature 'profiles', with 14 entries
feature_profiles: profile 0x12 dvd_ram
feature_profiles: profile 0x11 <ignored>
feature_profiles: profile 0x15 <ignored>
feature_profiles: profile 0x16 <ignored>
feature_profiles: profile 0x14 dvd_rw
feature_profiles: profile 0x13 dvd_rw
feature_profiles: profile 0x1a dvd_plus_rw
feature_profiles: profile 0x1b dvd_plus_r
feature_profiles: profile 0x2b dvd_plus_r_dl
feature_profiles: profile 0x10 dvd_rom
feature_profiles: profile 0x09 cd_r
feature_profiles: profile 0x0a cd_rw
feature_profiles: profile 0x08 cd_rom
feature_profiles: profile 0x02 <ignored>
cd_profiles: GET CONFIGURATION: feature 0x0001 <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x0002 <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x0003 <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x0004 <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x0010 <ignored>, with 0x08 bytes
cd_profiles: GET CONFIGURATION: feature 0x001d <ignored>, with 0x00 bytes
cd_profiles: GET CONFIGURATION: feature 0x001e <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x001f <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x0020 <ignored>, with 0x0c bytes
cd_profiles: GET CONFIGURATION: feature 0x0021 <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x0023 <ignored>, with 0x00 bytes
cd_profiles: GET CONFIGURATION: feature 0x0024 <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x0026 <ignored>, with 0x00 bytes
cd_profiles: GET CONFIGURATION: feature 0x002a <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x002b <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x002c <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x002d <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x002e <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x002f <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x0033 <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x0037 <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x003b <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x0100 <ignored>, with 0x00 bytes
cd_profiles: GET CONFIGURATION: feature 0x0101 <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x0103 <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x0104 <ignored>, with 0x00 bytes
cd_profiles: GET CONFIGURATION: feature 0x0105 <ignored>, with 0x00 bytes
cd_profiles: GET CONFIGURATION: feature 0x0106 ...

Read more...

Dmitriy Kodanev (dkodanev) wrote :
Download full text (4.1 KiB)

Martin Pitt <email address hidden> писал(а) в своём письме Fri, 08 Oct
2010 10:21:28 +0400:

> There should
> have been a lot of ID_CDROM_...=... lines.

And just once again. With DVD+RW inserted.

d@d-l:~$ sudo /lib/udev/cdrom_id --debug /dev/sr0
main: probing: '/dev/sr0'
cd_inquiry: INQUIRY: [HL-DT-ST][DVDRAM GSA-T20N ][WP03]
cd_profiles: GET CONFIGURATION: size of features buffer 0x0160
cd_profiles: GET CONFIGURATION: feature 'profiles', with 14 entries
feature_profiles: profile 0x12 dvd_ram
feature_profiles: profile 0x11 <ignored>
feature_profiles: profile 0x15 <ignored>
feature_profiles: profile 0x16 <ignored>
feature_profiles: profile 0x14 dvd_rw
feature_profiles: profile 0x13 dvd_rw
feature_profiles: profile 0x1a dvd_plus_rw
feature_profiles: profile 0x1b dvd_plus_r
feature_profiles: profile 0x2b dvd_plus_r_dl
feature_profiles: profile 0x10 dvd_rom
feature_profiles: profile 0x09 cd_r
feature_profiles: profile 0x0a cd_rw
feature_profiles: profile 0x08 cd_rom
feature_profiles: profile 0x02 <ignored>
cd_profiles: GET CONFIGURATION: feature 0x0001 <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x0002 <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x0003 <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x0004 <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x0010 <ignored>, with 0x08 bytes
cd_profiles: GET CONFIGURATION: feature 0x001d <ignored>, with 0x00 bytes
cd_profiles: GET CONFIGURATION: feature 0x001e <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x001f <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x0020 <ignored>, with 0x0c bytes
cd_profiles: GET CONFIGURATION: feature 0x0021 <ignored>, with 0x08 bytes
cd_profiles: GET CONFIGURATION: feature 0x0023 <ignored>, with 0x00 bytes
cd_profiles: GET CONFIGURATION: feature 0x0024 <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x0026 <ignored>, with 0x00 bytes
cd_profiles: GET CONFIGURATION: feature 0x002a <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x002b <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x002c <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x002d <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x002e <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x002f <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x0033 <ignored>, with 0x08 bytes
cd_profiles: GET CONFIGURATION: feature 0x0037 <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x003b <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x0100 <ignored>, with 0x00 bytes
cd_profiles: GET CONFIGURATION: feature 0x0101 <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x0103 <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x0104 <ignored>, with 0x00 bytes
cd_profiles: GET CONFIGURATION: feature 0x0105 <ignored>, with 0x00 bytes
cd_profiles: GET CONFIGURATION: feature 0x0106 <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x0107 <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION...

Read more...

Martin Pitt (pitti) wrote :

Splendid, thanks!

Amatriain (geralt) wrote :

The problems with my optical drives have disappeared since upgrading to Meerkat.

Thanks for looking into this.

Martin Pitt (pitti) wrote :

@ubuntu-sru: I just uploaded an updated udev to lucid-proposed which fixes this. Please see bug 653568 for the detailled SRU information.

Changed in udev (Ubuntu Lucid):
milestone: none → ubuntu-10.04.2
milestone: ubuntu-10.04.2 → ubuntu-10.04.3
status: Triaged → Fix Committed
milestone: ubuntu-10.04.3 → ubuntu-10.04.2
jonie (jonie) wrote :

Martin,

Yet another patch. If the disc is unreadable and reading of the first 32 blocks fails set the cd_media status to 0 (not present). This will prevent udev from executing blkid next that tries to determine fs on the disc and which in this case may seem to hang forever locking the drive.

Martin Pitt (pitti) wrote :

jonie,

jonie [2010-10-26 9:36 -0000]:
> Yet another patch.

Nice catch, thanks! Pushed to upstream git master.
--
Martin Pitt | http://www.piware.de
Ubuntu Developer (www.ubuntu.com) | Debian Developer (www.debian.org)

jonie (jonie) wrote :

Martin, the code submitted to SRU PPA still contains the bug we discussed in the turn of August / September, i.e. the distinction between DWD-RW modes is put into feature_profiles instead of cd_profiles, so the testers will be affected in the same way Arch users were.

jonie (jonie) wrote :

Sorry, that was another copy of udev-151.

Of course SRU package is ok.

Ron_ (ronald-liebman) wrote :

Now that a fix has been released for Lucid, please consider issuing a release for those of us still using Karmic. This bug was first reported over a year ago. That is the amount of time that I have been soldiering on with a crippled system. I hope you can understand that, for a beginner, upgrading from a crippled OS seems to be just an opportunity to exchange one set of problems for another. Karmic is supposedly still supprted, but the amount of time that has elapsed since this problem was reported has caused me to mistrust the level of commitment to that support -- or for that matter, to the support of subsequent releases. I've got to have a stable, fully functional system before I can consider an upgrade.

Accepted udev into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
oryan_dunn (oryandunn) wrote :

Upgraded from lucid-proposed and it fixed the issue for me. Blanked DVD+RWs are now detected properly. It'd be nice if this was also backported to hardy as I still use that on a couple machines.

Thanks for testing. Marking as verification-done

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package udev - 151-12.2

---------------
udev (151-12.2) lucid-proposed; urgency=low

  * Backport cdrom_id from maverick:
    - Fix detection of reblanked DVD+RW and DVD-RAM. Once formatted, DVD+RW
      and DVD-RAM discs are always reported "complete" by t drive. Check the
      if the Volume Descriptor or Volume Descriptor Anchor sector are empty,
      and if so, set the status to blank. (Regression from Ubuntu 9.10)
      (LP: #581925)
    - cdrom_id: Handle pre-MMC2 drives which do not yet support the 0x46 "GET
      CONFIGURATION" SCSI command. If we have those, fall back to the 0x51
      "READ DISC INFORMATION" call. This can only differentiate between CD-RW
      and CD-R, but first that's better than a complet detection failure, and
      second, those old drives likely don't support more modern media in the
      first place. (LP: #502143)
    - Fall back to CDROM_DRIVE_STATUS if all MMC commands fail. Reportedly,
      some fake USB CD sticks like the IronKey neither support the SCSI "GET
      CONFIGURATION" nor the older (pre-MMC2) "READ DISC INFORMATION" command.
      In that case, check if cd_media_compat() detected that there is a disc
      present, and assume that we have a CD-ROM medium. (Regression from
      Ubuntu 9.10). (LP: #653568)
    - READ TOC before READ DISC INFORMATION, to fix CD drives in qemu.
    - Don't read beyond "last track" in TOC. Do not go beyond that stated
      number of tracks when reading the TOC. Otherwise we interpret random
      data which leads to bogus tracks. (Reported on an IronKey, which
      reported 1 data track, and 4 audio tracks which weren't actually
      present.)
 -- Martin Pitt <email address hidden> Thu, 21 Oct 2010 11:12:58 +0200

Changed in udev (Ubuntu Lucid):
status: Fix Committed → Fix Released
jordie9 (jordie9) wrote :
Download full text (3.5 KiB)

I have the same problem. Here is the output:

 '/dev/sr0'
cd_inquiry: INQUIRY: [PIONEER ][BD-ROM BDC-TD01][1.01]
cd_profiles: GET CONFIGURATION: size of features buffer 0x018c
cd_profiles: GET CONFIGURATION: feature 'profiles', with 15 entries
feature_profiles: profile 0x40 bd
feature_profiles: profile 0x2b dvd_plus_r_dl
feature_profiles: profile 0x1a dvd_plus_rw
feature_profiles: profile 0x1b dvd_plus_r
feature_profiles: profile 0x16 <ignored>
feature_profiles: profile 0x15 <ignored>
feature_profiles: profile 0x13 dvd_rw
feature_profiles: profile 0x14 dvd_rw
feature_profiles: profile 0x11 <ignored>
feature_profiles: profile 0x12 dvd_ram
feature_profiles: profile 0x02 <ignored>
feature_profiles: profile 0x10 dvd_rom
feature_profiles: profile 0x0a cd_rw
feature_profiles: profile 0x09 cd_r
feature_profiles: profile 0x08 cd_rom
cd_profiles: GET CONFIGURATION: feature 0x0001 <ignored>, with 0x08 bytes
cd_profiles: GET CONFIGURATION: feature 0x0002 <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x0003 <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x0004 <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x0010 <ignored>, with 0x08 bytes
cd_profiles: GET CONFIGURATION: feature 0x001d <ignored>, with 0x00 bytes
cd_profiles: GET CONFIGURATION: feature 0x001e <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x001f <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x0020 <ignored>, with 0x0c bytes
cd_profiles: GET CONFIGURATION: feature 0x0021 <ignored>, with 0x08 bytes
cd_profiles: GET CONFIGURATION: feature 0x0023 <ignored>, with 0x08 bytes
cd_profiles: GET CONFIGURATION: feature 0x0024 <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x0026 <ignored>, with 0x00 bytes
cd_profiles: GET CONFIGURATION: feature 0x002a <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x002b <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x002c <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x002d <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x002e <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x002f <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x0033 <ignored>, with 0x08 bytes
cd_profiles: GET CONFIGURATION: feature 0x0037 <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x003b <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x0040 <ignored>, with 0x1c bytes
cd_profiles: GET CONFIGURATION: feature 0x0100 <ignored>, with 0x00 bytes
cd_profiles: GET CONFIGURATION: feature 0x0101 <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x0103 <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x0104 <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x0105 <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x0106 <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x0107 <ignored>, with 0x04 bytes
cd_profiles: GET CONFIGURATION: feature 0x0108 <ignored>, with 0x0c bytes
cd_profiles: GET CONFIGURATION: feature 0x010a <ignored>, with 0x0c ...

Read more...

jonie (jonie) wrote :

Jordie9: It looks like your drive reports that either:
- there is optical media inside but it matches no known hardware profile
- or the drive falsely claims there is media inserted when in fact there is none

So please tell us which of the above is true, i.e. whether the log was done with or without the media inside, if the former is true what kind of media it was.

Ron_ (ronald-liebman) wrote :

If there are any Karmic users still subscribed to this bug, I could use some help over at https://bugs.launchpad.net/ubuntu/+source/linux/+bug/676351 . As far as I can tell, it differs from this bug only by Ubuntu release. Karmic is supposed to be supported for another 10 months.

Robert Toole (rtoole) wrote :

Sadly, this still affects me..

I have the LG USB DVD drive, model LGPC-ODD

dmesg reports it like this:

usb-storage: device found at 5
usb-storage: waiting for device to settle before scanning
usb-storage: device scan complete
scsi 8:0:0:0: CD-ROM HL-DT-ST DVDRAM GSA-T20N WH01 PQ: 0 ANSI: 0
sr0: scsi3-mmc drive: 24x/24x writer dvd-ram cd/rw xa/form2 cdda tray
sr 8:0:0:0: Attached scsi CD-ROM sr0
sr 8:0:0:0: Attached scsi generic sg2 type 5

Reads, writes CD disks OK
Does not read or write any DVD, does not recognise blank DVD Media

The drive works fine when I plug it into my friends Fedora system

I'm using lucid, with all latest updates:

2.6.32-27-generic, udev 151-12.3

I downgraded udev to 151-12, still does not work.

I am also sure this drive was working for me before, but It's been a while since I burned a DVD

When I insert the media, the drive sounds like it's trying to read the disk, and it repeats the same pattern of sounds over and over.

I've attached the output of the cdrom_id command and tried all the other suggestions in this thread.

Displaying first 40 and last 40 comments. View all 104 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.